%global eclipse_base   %{_libdir}/eclipse
%global install_loc    %{_datadir}/eclipse/dropins/gcov
%global qualifier      201107191600

Name:           eclipse-gcov
Version:        0.6.0
Release:        0.1.20110718gitc011a2c7a0%{?dist}
Summary:        GCov Integration (Incubation)

Group:          Development/Tools
License:        EPL
URL:            http://www.eclipse.org/linuxtools/projectPages/gcov
# Source0 created as follows:
#
#  git clone git://git.eclipse.org/gitroot/linuxtools/org.eclipse.linuxtools.git
#  cd org.eclipse.linuxtools
#  git checkout -b local c011a2c7a093ad3ba1a04623709f7c9a3650269f
#  cd gcov
#  mvn assembly:single
#  cd target
#  mv linuxtools-gcov-parent-0.0.1-SNAPSHOT-src.tar.bz2 linuxtools-gcov-SNAPSHOT-c011a2c7a093ad3ba1a04623709f7c9a3650269f-src.tar.bz2
#
Source0:        linuxtools-gcov-SNAPSHOT-c011a2c7a093ad3ba1a04623709f7c9a3650269f-src.tar.bz2

BuildArch: noarch

BuildRequires: eclipse-pde >= 1:3.6.1
BuildRequires: eclipse-cdt >= 1:7.0.1
BuildRequires: eclipse-linuxprofilingframework >= 0.8.0-0.1
Requires: eclipse-platform >= 1:3.6.1
Requires: eclipse-cdt >= 1:7.0.1
Requires: eclipse-linuxprofilingframework >= 0.8.0-0.1

%description
Functionality to integrate GCov with the Eclipse workbench.

%prep
%setup -q -n linuxtools-gcov-parent-0.0.1-SNAPSHOT-src

%build
chmod -x org.eclipse.linuxtools.gcov-feature/license.html
chmod -x org.eclipse.linuxtools.gcov-feature/epl-v10.html
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.linuxtools.gcov -d "cdt rse linuxprofilingframework birt gef emf dtp-connectivity" \
-a "-DjavacSource=1.6 -DjavacTarget=1.6 -DforceContextQualifier=%{qualifier}"

%install
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.linuxtools.gcov.zip 

%files
%{install_loc}
%doc org.eclipse.linuxtools.gcov-feature/license.html
%doc org.eclipse.linuxtools.gcov-feature/epl-v10.html

%changelog
* Tue Jul 26 2011 Jeff Johnston <jjohnstn@redhat.com> 0.6.0-0.1.20110718gitc011a2c7a0
- First release of gcov (pre-0.6.0 release)


